Skip to content
Start here

Create a new workflow instance

client.workflows.instances.create(stringworkflowName, InstanceCreateParams { account_id, instance_id, instance_retention, params } params, RequestOptionsoptions?): InstanceCreateResponse { id, status, version_id, workflow_id }
POST/accounts/{account_id}/workflows/{workflow_name}/instances

Creates a new instance of a workflow, starting its execution.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Workers Scripts Write
ParametersExpand Collapse
workflowName: string
maxLength64
minLength1
params: InstanceCreateParams { account_id, instance_id, instance_retention, params }
account_id: string

Path param

instance_id?: string

Body param

maximum100
minimum1
instance_retention?: InstanceRetention

Body param

error_retention?: number | string

Specifies the duration in milliseconds or as a string like '5 minutes'.

One of the following:
number
string
success_retention?: number | string

Specifies the duration in milliseconds or as a string like '5 minutes'.

One of the following:
number
string
params?: unknown

Body param

ReturnsExpand Collapse
InstanceCreateResponse { id, status, version_id, workflow_id }
id: string
maxLength100
minLength1
status: "queued" | "running" | "paused" | 5 more
One of the following:
"queued"
"running"
"paused"
"errored"
"terminated"
"complete"
"waitingForPause"
"waiting"
version_id: string
formatuuid
workflow_id: string
formatuuid

Create a new workflow instance

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const instance = await client.workflows.instances.create('x', { account_id: 'account_id' });

console.log(instance.id);
{
  "errors": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "messages": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "result": {
    "id": "x",
    "status": "queued",
    "version_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "workflow_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
  },
  "success": true,
  "result_info": {
    "count": 0,
    "per_page": 0,
    "total_count": 0,
    "cursor": "cursor",
    "page": 0
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "messages": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "result": {
    "id": "x",
    "status": "queued",
    "version_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "workflow_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
  },
  "success": true,
  "result_info": {
    "count": 0,
    "per_page": 0,
    "total_count": 0,
    "cursor": "cursor",
    "page": 0
  }
}